using FalcoEngine;

public class Shooting : MonoBehaviour
{
	public int bulletsCount = 3;

	private AimManager aimManager;

	void Start()
	{
		aimManager = FindObjectOfType<AimManager>();
	}


	void CastTarget()
	{
        RaycastHit shootHit = Physics.Raycast(gameObject.transform.position, gameObject.transform.position + gameObject.transform.forward * 100);

        if (shootHit.hasHit)
        {
            Debug.Log(shootHit.rigidbody.gameObject.name);
            if (shootHit.rigidbody.gameObject.name.Contains("man"))
            {
                shootHit.rigidbody.linearVelocity += gameObject.transform.forward * 5;
                Destroy(shootHit.rigidbody.gameObject);
            }
        }
    }


	void Shoot()
	{
		audioSource.Play();
		if (bulletsCount > 0)
		{
			bulletsCount--;
            aimManager.Shoot();
            CastTarget();
        }
    }

	void Update()
	{
		if (Input.GetMouseButtonDown(0))
		{
			Shoot();
        }
	}
}
